/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.syncclient.ipod.panels;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.UIManager;
import javax.swing.ImageIcon;
import javax.swing.SwingConstants;

import com.funambol.syncclient.ipod.MainWindow;
import com.funambol.syncclient.ipod.utils.Constants;
import com.funambol.syncclient.ipod.utils.Language;

/**
 * The about window.
 *
 * @version $Id: AboutPanel.java,v 1.1 2006/01/18 14:05:35 luigiafassina Exp $
 */
public class AboutPanel extends JDialog implements ActionListener, Constants {
    public AboutPanel() {

    }

    // ------------------------------------------------------------ Private Data
    private MainWindow mainWindow;
    private JButton    jbClose   ;
    private JLabel     jLabel1   ;
    private JLabel     jLabel2   ;
    private JLabel     jLabel3   ;
    private JLabel     jLabel4   ;
    private JPanel     jPanel1   ;

    // ---------------------------------------------------------- Public Methods

    /** Creates new form JDialog */
    public AboutPanel(MainWindow mainWindow, boolean modal) {
        super(mainWindow, modal);
        this.mainWindow = mainWindow;
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     */
    private void initComponents() {

        int xlab  = 35 ;
        int wlab  = 175;
        int hlab  = 18 ;

        jPanel1 = new JPanel() ;
        jLabel1 = new JLabel() ;
        jLabel2 = new JLabel() ;
        jLabel3 = new JLabel() ;
        jLabel4 = new JLabel() ;
        jbClose = new JButton();

        try {
            UIManager.setLookAndFeel(Constants.lookAndFeel);
        } catch(Exception e) {
            e.printStackTrace();
        }

        //
        // Set up the window.
        //
        getContentPane().setLayout(null);

        setTitle(Language.getMessage(Language.LABEL_TITLE_ABOUT));
        setBackground(Color.WHITE);
        setForeground(Color.WHITE);
        setFont(font);
        setName("aboutDialog");
        setResizable(false);
        setSize(270,299);
        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setLocationRelativeTo(null);

        jPanel1.setLayout(null);
        jPanel1.setBackground(Color.WHITE);
        jPanel1.setForeground(Color.WHITE);
        jPanel1.setBounds(0, 0, 270, 299);
        getContentPane().add(jPanel1);

        JLabel lab = new JLabel(new ImageIcon(FRAME_LOGONAME));
        lab.setBounds(38, 2, 185, 118);
        jPanel1.add(lab);

        jLabel1.setBackground(Color.WHITE);
        jLabel1.setFont(font);
        jLabel1.setText(Language.getMessage(Language.LABEL_ABOUT_IPOD_VERSION));
        jLabel1.setBounds(57, 132, 200, hlab);
        jPanel1.add(jLabel1);

        jLabel2.setBackground(Color.WHITE);
        jLabel2.setFont(font);
        jLabel2.setText(Language.getMessage(Language.LABEL_ABOUT_COPYRIGHT));
        jLabel2.setBounds(48, 152, 200, hlab);
        jPanel1.add(jLabel2);

        jLabel3.setBackground(Color.WHITE);
        jLabel3.setFont(font);
        jLabel3.setText(Language.getMessage(Language.LABEL_ABOUT_RIGHTS));
        jLabel3.setBounds(88, 172, 200, hlab);
        jPanel1.add(jLabel3);

        jLabel4.setBackground(Color.WHITE);
        jLabel4.setFont(font);
        jLabel4.setText(Language.getMessage(Language.LABEL_ABOUT_LINK));
        jLabel4.setBounds(83, 192, 200, hlab);
        jPanel1.add(jLabel4);

        jbClose.setBackground(Color.WHITE);
        jbClose.setFont(font);
        jbClose.setText(Language.getMessage(Language.BT_CLOSE));
        jbClose.setBounds(86, 230, 88, 24);
        jbClose.addActionListener(this);
        jPanel1.add(jbClose);
    }

    public void actionPerformed(ActionEvent evt) {
        removeAll();
        setVisible(false);
    }


}
