/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.syncclient.ipod.utils;

import java.util.Locale;
import java.util.ResourceBundle;

/**
 * Provide methods to dictionary language
 *
 * @version $Id: Language.java,v 1.1 2006/01/18 14:05:35 luigiafassina Exp $
 */
public class Language {

    //---------------------------------------------------------------- Constants
    public final static String LANGUAGE_FILE = 
    "com/funambol/syncclient/util/language";

    public final static Locale LANGUAGE_LOCALE = Locale.US;

    public final static String LABEL_TITLE_MAINWINDOW = "LABEL_TITLE_MAINWINDOW";

    //
    // Menu
    //
    public final static String MENU_FILE          = "MENU_FILE";
    public final static String MENU_FILE_SYNC     = "MENU_FILE_SYNC";
    public final static String MENU_FILE_EXIT     = "MENU_FILE_EXIT";
    public final static String MENU_EDIT          = "MENU_EDIT";
    public final static String MENU_EDIT_COMMUNICATION_SET =
    "MENU_EDIT_COMMUNICATION_SET";
    public final static String MENU_EDIT_SYNC_SET = "MENU_EDIT_SYNC_SET";
    public final static String MENU_HELP          = "MENU_HELP";
    public final static String MENU_HELP_ABOUT    = "MENU_HELP_ABOUT";
    public final static String MENU_HELP_LOG      = "MENU_HELP_LOG";

    //
    // Labels for panel About
    //
    public final static String LABEL_TITLE_ABOUT        = "LABEL_TITLE_ABOUT";
    public final static String LABEL_ABOUT_IPOD_VERSION = "LABEL_ABOUT_IPOD_VERSION";
    public final static String LABEL_ABOUT_COPYRIGHT    = "LABEL_ABOUT_COPYRIGHT";
    public final static String LABEL_ABOUT_RIGHTS       = "LABEL_ABOUT_RIGHTS";
    public final static String LABEL_ABOUT_LINK         = "LABEL_ABOUT_LINK";

    //
    // Labels for panel Synchronization settings
    //
    public final static String LABEL_TITLE_SYNCSETWINDOW = "LABEL_TITLE_SYNCSETWINDOW";
    public final static String LABEL_SYNCSET_CONTACTS    = "LABEL_SYNCSET_CONTACTS";
    public final static String LABEL_SYNCSET_CALENDARS   = "LABEL_SYNCSET_CALENDARS";
    public final static String LABEL_SYNCSET_NOTES       = "LABEL_SYNCSET_NOTES";
    public final static String LABEL_SYNCSET_OTHER       = "LABEL_SYNCSET_OTHER";
    public final static String LABEL_SYNCSET_DRIVE       = "LABEL_SYNCSET_DRIVE";
    public final static String LABEL_SYNCSET_LOGLEVEL    = "LABEL_SYNCSET_LOGLEVEL";
    public final static String LABEL_SYNCSET_LOGNONE     = "LABEL_SYNCSET_LOGNONE";
    public final static String LABEL_SYNCSET_LOGINFO     = "LABEL_SYNCSET_LOGINFO";
    public final static String LABEL_SYNCSET_LOGDEBUG    = "LABEL_SYNCSET_LOGDEBUG";

    //
    // Labels for panel Communication settings
    //
    public final static String LABEL_TITLE_COMMUNICATION = "LABEL_TITLE_COMMUNICATION";
    public final static String LABEL_COMM_SERVERURL      = "LABEL_COMM_SERVERURL";
    public final static String LABEL_COMM_USERNAME       = "LABEL_COMM_USERNAME";
    public final static String LABEL_COMM_PASSWORD       = "LABEL_COMM_PASSWORD";
    public final static String LABEL_COMM_DEVICEID       = "LABEL_COMM_DEVICEID";

    //
    // Labels for panel Remote settings
    //
    public final static String LABEL_TITLE_REMOTESET = "LABEL_TITLE_REMOTESET";
    public final static String LABEL_REMOTE_CONTACT  = "LABEL_REMOTE_CONTACT" ;
    public final static String LABEL_REMOTE_CALENDAR = "LABEL_REMOTE_CALENDAR";
    public final static String LABEL_REMOTE_NOTE     = "LABEL_REMOTE_NOTE"    ;

    //
    // Labels for panel View Log
    //
    public final static String LABEL_TITLE_LOGWINDOW = "LABEL_TITLE_LOGWINDOW";

    //
    // Labels for buttons
    //
    public final static String BT_OK         = "BT_OK"        ;
    public final static String BT_CANCEL     = "BT_CANCEL"    ;
    public final static String BT_SYNC       = "BT_SYNC"      ;
    public final static String BT_CLOSE      = "BT_CLOSE"     ;
    public final static String BT_REMOTE_SET = "BT_REMOTE_SET";

    //
    // Message for logging
    //
    public final static String LOGGING_STOPPED      = "LOGGING_STOPPED"     ;
    public final static String LOG_SYNC_BEGIN       = "LOG_SYNC_BEGIN"      ;
    public final static String LOG_SYNCSOURCE_BEGIN = "LOG_SYNCSOURCE_BEGIN";
    public final static String LOG_SYNCSOURCE_SOURCEURI
    = "LOG_SYNCSOURCE_SOURCEURI";
    public final static String LOG_SYNCSOURCE_SYNCMODE = "LOG_SYNCSOURCE_SYNCMODE";
    public final static String LOG_SYNC_END         = "LOG_SYNC_END"      ;
    public final static String LOG_SYNCSOURCE_END   = "LOG_SYNCSOURCE_END";
    public final static String LOG_SYNC_ERROR       = "LOG_SYNC_ERROR"    ;
    public final static String LOG_SYNCERROR_MSG    = "LOG_SYNCERROR_MSG" ;
    public final static String LOG_SYNCCAUSE_MSG    = "LOG_SYNCCAUSE_MSG" ;
    public final static String LOG_SYNC_SENDINIT    = "LOG_SYNC_SENDINIT" ;
    public final static String LOG_SYNC_SENDMOD     = "LOG_SYNC_SENDMOD"  ;
    public final static String LOG_SYNC_SENDFINAL   = "LOG_SYNC_SENDFINAL";
    public final static String LOG_SYNCTRANSPORT_SENDDATABEGIN    =
    "LOG_SYNCTRANSPORT_SENDDATABEGIN";
    public final static String LOG_SYNCTRANSPORT_SENDDATAEND      =
    "LOG_SYNCTRANSPORT_SENDDATAEND";
    public final static String LOG_SYNCTRANSPORT_RECEIVEDATABEGIN =
    "LOG_SYNCTRANSPORT_RECEIVEDATABEGIN";
    public final static String LOG_SYNCTRANSPORT_RECEIVEDATA      =
    "LOG_SYNCTRANSPORT_RECEIVEDATA";
    public final static String LOG_SYNCTRANSPORT_RECEIVEDATAEND   =
    "LOG_SYNCTRANSPORT_RECEIVEDATAEND";
    public final static String LOG_SYNCITEM_ADDSERVER             =
    "LOG_SYNCITEM_ADDSERVER";
    public final static String LOG_SYNCITEM_KEY     = "LOG_SYNCITEM_KEY";
    public final static String LOG_SYNCITEM_DELETESERVER =
    "LOG_SYNCITEM_DELETESERVER";
    public final static String LOG_SYNCITEM_UPDATESERVER =
    "LOG_SYNCITEM_UPDATESERVER";
    public final static String LOG_SYNCITEM_ADDCLIENT = "LOG_SYNCITEM_ADDCLIENT";
    public final static String LOG_SYNCITEM_DELETECLIENT =
    "LOG_SYNCITEM_DELETECLIENT";
    public final static String LOG_SYNCITEM_UPDATECLIENT =
    "LOG_SYNCITEM_UPDATECLIENT";
    public final static String LOG_SYNCSTATUS_SEND   = "LOG_SYNCSTATUS_SEND";
    public final static String LOG_SYNCSTATUS_CMD    = "LOG_SYNCSTATUS_CMD" ;
    public final static String LOG_SYNCSTATUS_STATUS = "LOG_SYNCSTATUS_STATUS";
    public final static String LOG_SYNCSTATUS_RECEIVED =
    "LOG_SYNCSTATUS_RECEIVED";

    //
    // Status message
    //
    public final static String STATUS_SYNC_BEGIN = "STATUS_SYNC_BEGIN";
    public final static String STATUS_SYNC_END   = "STATUS_SYNC_END"  ;
    public final static String STATUS_NOT_SYNC_REQUIRED = "STATUS_NOT_SYNC_REQUIRED";
    //
    // Error message
    //
    public final static String ERROR_CONNECT         = "ERROR_CONNECT"        ;
    public final static String ERROR_AUTH            = "ERROR_AUTH"           ;
    public final static String ERROR_SYNC            = "ERROR_SYNC"           ;
    public final static String ERROR_NOT_FOUNT_DM_VALUES =
    "ERROR_NOT_FOUNT_DM_VALUES";
    public final static String ERROR_DEVICE_MANAGER  = "ERROR_DEVICE_MANAGER" ;
    public final static String ERROR_WRITE_SYNCSET   = "ERROR_WRITE_SYNCSET"  ;
    public final static String ERROR_WRITE_REMOTESET = "ERROR_WRITE_REMOTESET";
    public final static String ERROR_WRITE_COMMUNICATIONSET =
    "ERROR_WRITE_COMMUNICATIONSET";
    public final static String ERROR_SERVER_GENERIC  = "ERROR_SERVER_GENERIC" ;

    // ------------------------------------------------------------ Private Data
    private static ResourceBundle rb = null;

    // ---------------------------------------------------------- Public methods

    /**
     * Initialize ResourceBundle.
     */
    public static void init() {
        rb = ResourceBundle.getBundle(LANGUAGE_FILE, LANGUAGE_LOCALE);
    }

    /**
     * Return the message to show in the panels.
     *
     * @param key the key of the message
     * @return String the message
     */
    public static String getMessage(String key) {
        return rb.getString(key);
    }
}